locked
Update powershell module Active Directory Windows 2008 r2 RRS feed

  • Question

  • Is there a way to update the Active Directory powershell module for windows 2008 r2?  Update-module does not work because the Active Directory Module is not installed using the install-module cmdlet (at least thats what the error states).  I want to use the Get-adreplicationsubnet cmdlet but it is in AD ps module v3 and windows 2008 has AD ps module v1.  I am running a Windows update to see if that works.  Are there any other alternatives?
    Thursday, July 18, 2019 10:14 PM

Answers

  • You cannot update the AD module on Windows 2008r2.  The module is part of RSAT and only the 2008r2 version is allowed on 2008r2.  This is because 2008r2 does not have basic OS components for newer versions of RSAT.

    2008r2 and Win7 are out of support in  few months.  You should be upgrading now.


    \_(ツ)_/

    • Marked as answer by jpcapone Thursday, July 18, 2019 11:03 PM
    Thursday, July 18, 2019 10:36 PM

All replies

  • Hi,

    Maybe something here could be of any help:
    How To Use The 2012 Active Directory PowerShell Cmdlets From Windows 7

    Best regards,
    Leon


    Blog: https://thesystemcenterblog.com LinkedIn:

    Thursday, July 18, 2019 10:26 PM
  • Thanks for the reply.  I saw that but it looks like i have to import a powershell session from a Windows 2012 server.  I wanted to avoid going that route.  Am I missing something/
    Thursday, July 18, 2019 10:29 PM
  • You cannot update the AD module on Windows 2008r2.  The module is part of RSAT and only the 2008r2 version is allowed on 2008r2.  This is because 2008r2 does not have basic OS components for newer versions of RSAT.

    2008r2 and Win7 are out of support in  few months.  You should be upgrading now.


    \_(ツ)_/

    • Marked as answer by jpcapone Thursday, July 18, 2019 11:03 PM
    Thursday, July 18, 2019 10:36 PM